Summary:        Python client library for Aodh
Name:           python-aodhclient
Version:        3.1.0
Release:        4%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/python-aodhclient/latest/
Source0:        https://github.com/openstack/python-aodhclient/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

%description
This is a client for Aodh API. There’s a Python API (the
aodhclient module), and a command-line script (installed
as aodh). Each implements the entire Aodh API.


%package -n python3-aodhclient
Summary:        Python client library for Aodh
Provides:       python-aodhclient
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-cliff python3-keystoneauth1 python3-osc-lib python3-oslo-i18n python3-six
BuildRequires:  python3-oslo-serialization python3-oslo-utils python3-osprofiler python3-pyparsing
BuildRequires:  python3-coverage python3-gnocchi python3-oslotest python3-pifpaf
BuildRequires:  python3-reno python3-stestr python3-tempest python3-testtools pytest
Requires:       python3-cliff python3-keystoneauth1 python3-osc-lib python3-oslo-i18n 
Requires:       python3-oslo-serialization python3-oslo-utils  python3-osprofiler python3-pbr
Requires:       python3-pyparsing python3-six python3-coverage python3-gnocchi python3-oslotest 
Requires:       python3-pifpaf python3-reno python3-stestr python3-tempest python3-testtools

%description -n python3-aodhclient
Python client library for Aodh.

%prep
%autosetup -n %{name}-%{version}

%build
export PBR_VERSION=%{version}
%py3_build

%install
export PBR_VERSION=%{version}
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%check
pytest -k 'not functional'

%files -n python3-aodhclient
%{_docdir}/*
%{python3_sitelib}/aodhclient
%{python3_sitelib}/*.egg-info
%{_bindir}/aodh

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Miaojun Dong <zoedong@tencent.com> - 3.1.0-1
- initial build
